Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.jdbcx.proxy
Class CallableStatementProxy

    java.lang.Object
      |
      +--net.sourceforge.jtds.jdbcx.proxy.StatementProxy
            |
            +--net.sourceforge.jtds.jdbcx.proxy.PreparedStatementProxy
                  |
                  +--net.sourceforge.jtds.jdbcx.proxy.CallableStatementProxy

All Implemented Interfaces:
  java.sql.CallableStatement, java.sql.PreparedStatement, java.sql.Statement

public class CallableStatementProxy
extends PreparedStatementProxy
implements java.sql.CallableStatement

This class would be better implemented as a java.lang.reflect.Proxy. However, this feature was not added until 1.3 and reflection performance was not improved until 1.4. Since the driver still needs to be compatible with 1.2 and 1.3 this class is used to delegate the calls to a callable statement with minimal overhead.

Version:
  $Id: CallableStatementProxy.java,v 1.3 2004/08/24 17:45:08 bheineman Exp $

Field Summary
`private JtdsCallableStatement` | `_callableStatement`

Fields inherited from class net.sourceforge.jtds.jdbcx.proxy.PreparedStatementProxy
`_preparedStatement`

Fields inherited from class net.sourceforge.jtds.jdbcx.proxy.StatementProxy
`_connection, _statement`

Constructor Summary
`(package private)` | `CallableStatementProxy(ConnectionProxy connection, JtdsCallableStatement callableStatement)`

Method Summary
`java.sql.Array` | `getArray(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Array` | `getArray(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.math.BigDecimal` | `getBigDecimal(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Blob` | `getBlob(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Blob` | `getBlob(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`boolean` | `getBoolean(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`boolean` | `getBoolean(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`byte` | `getByte(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`byte` | `getByte(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`byte[]` | `getBytes(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`byte[]` | `getBytes(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Clob` | `getClob(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Clob` | `getClob(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Date` | `getDate(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Date` | `getDate(int parameterIndex, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Date` | `getDate(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Date` | `getDate(java.lang.String parameterName, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`double` | `getDouble(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`double` | `getDouble(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`float` | `getFloat(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`float` | `getFloat(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`int` | `getInt(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`int` | `getInt(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`long` | `getLong(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`long` | `getLong(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.lang.Object` | `getObject(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.lang.Object` | `getObject(int parameterIndex, java.util.Map map)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.lang.Object` | `getObject(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.lang.Object` | `getObject(java.lang.String parameterName, java.util.Map map)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Ref` | `getRef(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Ref` | `getRef(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`short` | `getShort(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`short` | `getShort(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.lang.String` | `getString(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.lang.String` | `getString(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Time` | `getTime(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Time` | `getTime(int parameterIndex, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Time` | `getTime(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Time` | `getTime(java.lang.String parameterName, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Timestamp` | `getTimestamp(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Timestamp` | `getTimestamp(int parameterIndex, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Timestamp` | `getTimestamp(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.sql.Timestamp` | `getTimestamp(java.lang.String parameterName, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.net.URL` | `getURL(int parameterIndex)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`java.net.URL` | `getURL(java.lang.String parameterName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `registerOutParameter(int parameterIndex, int sqlType)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `registerOutParameter(int parameterIndex, int sqlType, java.lang.String typeName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `registerOutParameter(java.lang.String parameterName, int sqlType)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `registerOutParameter(java.lang.String parameterName, int sqlType, int scale)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `registerOutParameter(java.lang.String parameterName, int sqlType, java.lang.String typeName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setAsciiStream(java.lang.String parameterName, java.io.InputStream x, int length)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setBigDecimal(java.lang.String parameterName, java.math.BigDecimal x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setBinaryStream(java.lang.String parameterName, java.io.InputStream x, int length)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setBoolean(java.lang.String parameterName, boolean x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setByte(java.lang.String parameterName, byte x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setBytes(java.lang.String parameterName, byte[] x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setCharacterStream(java.lang.String parameterName, java.io.Reader x, int length)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setDate(java.lang.String parameterName, java.sql.Date x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setDate(java.lang.String parameterName, java.sql.Date x, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setDouble(java.lang.String parameterName, double x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setFloat(java.lang.String parameterName, float x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setInt(java.lang.String parameterName, int x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setLong(java.lang.String parameterName, long x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setNull(java.lang.String parameterName, int sqlType)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setNull(java.lang.String parameterName, int sqlType, java.lang.String typeName)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setObject(java.lang.String parameterName, java.lang.Object x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setObject(java.lang.String parameterName, java.lang.Object x, int targetSqlType, int scale)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setShort(java.lang.String parameterName, short x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setString(java.lang.String parameterName, java.lang.String x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setTime(java.lang.String parameterName, java.sql.Time x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setTime(java.lang.String parameterName, java.sql.Time x, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setTimestamp(java.lang.String parameterName, java.sql.Timestamp x, java.util.Calendar cal)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`void` | `setURL(java.lang.String parameterName, java.net.URL val)` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
`boolean` | `wasNull()` Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.

Methods inherited from class net.sourceforge.jtds.jdbcx.proxy.PreparedStatementProxy
`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

Methods inherited from class net.sourceforge.jtds.jdbcx.proxy.StatementProxy
`addBatch, cancel, clearBatch, clearWarnings, close, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, processSQLException, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, validateConnection`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface java.sql.PreparedStatement
`addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setShort, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream`

Methods inherited from interface java.sql.Statement
`addBatch, cancel, clearBatch, clearWarnings, close, execute, executeBatch, executeQuery, executeUpdate, getConnection, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout`

Field Detail

### _callableStatement

    private JtdsCallableStatement _callableStatement

Constructor Detail

### CallableStatementProxy

    CallableStatementProxy(ConnectionProxy connection,
                           JtdsCallableStatement callableStatement)

Method Detail

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `wasNull` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getString` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getBoolean` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getByte` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getShort` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getInt` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getLong` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getFloat` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getDouble` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getBytes` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex)
                                       throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getBigDecimal` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getObject

    public java.lang.Object getObject(int parameterIndex,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getObject` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getRef

    public java.sql.Ref getRef(int parameterIndex)
                        throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getRef` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getBlob

    public java.sql.Blob getBlob(int parameterIndex)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getBlob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getClob

    public java.sql.Clob getClob(int parameterIndex)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getClob` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getArray

    public java.sql.Array getArray(int parameterIndex)
                            throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getArray` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getDate

    public java.sql.Date getDate(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getDate` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getTime

    public java.sql.Time getTime(int parameterIndex,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getTime` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `getTimestamp` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Specified by:
    `registerOutParameter` in interface `java.sql.CallableStatement`
  Throws:
    `java.sql.SQLException` - if an error occurs

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType)
                              throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### registerOutParameter

    public void registerOutParameter(java.lang.String parameterName,
                                     int sqlType,
                                     java.lang.String typeName)
                              throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getURL

    public java.net.URL getURL(int parameterIndex)
                        throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setURL

    public void setURL(java.lang.String parameterName,
                       java.net.URL val)
                throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setBoolean

    public void setBoolean(java.lang.String parameterName,
                           boolean x)
                    throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setByte

    public void setByte(java.lang.String parameterName,
                        byte x)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setShort

    public void setShort(java.lang.String parameterName,
                         short x)
                  throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setInt

    public void setInt(java.lang.String parameterName,
                       int x)
                throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setLong

    public void setLong(java.lang.String parameterName,
                        long x)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setFloat

    public void setFloat(java.lang.String parameterName,
                         float x)
                  throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setDouble

    public void setDouble(java.lang.String parameterName,
                          double x)
                   throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setBigDecimal

    public void setBigDecimal(java.lang.String parameterName,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setString

    public void setString(java.lang.String parameterName,
                          java.lang.String x)
                   throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setBytes

    public void setBytes(java.lang.String parameterName,
                         byte[] x)
                  throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setAsciiStream

    public void setAsciiStream(java.lang.String parameterName,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setBinaryStream

    public void setBinaryStream(java.lang.String parameterName,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setObject

    public void setObject(java.lang.String parameterName,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setCharacterStream

    public void setCharacterStream(java.lang.String parameterName,
                                   java.io.Reader x,
                                   int length)
                            throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setDate

    public void setDate(java.lang.String parameterName,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setTime

    public void setTime(java.lang.String parameterName,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setTimestamp

    public void setTimestamp(java.lang.String parameterName,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### setNull

    public void setNull(java.lang.String parameterName,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getString

    public java.lang.String getString(java.lang.String parameterName)
                               throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getBoolean

    public boolean getBoolean(java.lang.String parameterName)
                       throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getByte

    public byte getByte(java.lang.String parameterName)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getShort

    public short getShort(java.lang.String parameterName)
                   throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getInt

    public int getInt(java.lang.String parameterName)
               throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getLong

    public long getLong(java.lang.String parameterName)
                 throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getFloat

    public float getFloat(java.lang.String parameterName)
                   throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getDouble

    public double getDouble(java.lang.String parameterName)
                     throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getBytes

    public byte[] getBytes(java.lang.String parameterName)
                    throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getDate

    public java.sql.Date getDate(java.lang.String parameterName)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getTime

    public java.sql.Time getTime(java.lang.String parameterName)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName)
                                    throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getObject

    public java.lang.Object getObject(java.lang.String parameterName)
                               throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String parameterName)
                                       throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getObject

    public java.lang.Object getObject(java.lang.String parameterName,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getRef

    public java.sql.Ref getRef(java.lang.String parameterName)
                        throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getBlob

    public java.sql.Blob getBlob(java.lang.String parameterName)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getClob

    public java.sql.Clob getClob(java.lang.String parameterName)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getArray

    public java.sql.Array getArray(java.lang.String parameterName)
                            throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getDate

    public java.sql.Date getDate(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getTime

    public java.sql.Time getTime(java.lang.String parameterName,
                                 java.util.Calendar cal)
                          throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String parameterName,
                                           java.util.Calendar cal)
                                    throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

### getURL

    public java.net.URL getURL(java.lang.String parameterName)
                        throws java.sql.SQLException

  Delgates calls to the callable statement; SQLExceptions thrown from the callable statement will cause an event to be fired on the connection pool listeners.
  Throws:
    `java.sql.SQLException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on August 22 2007